GoDoxy

Verify a new agent

POST
/agent/verify

Verify a new agent and return the number of routes added

Request Body

application/json

Request

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agent/verify" \  -H "Content-Type: application/json" \  -d '{}'
{  "activation": {    "active_routes": 0,    "attempted_routes": 0,    "desired_routes": 0,    "event_loop_ready": true,    "failed_routes": [      {        "error": null,        "route": "string"      }    ],    "infrastructure_error": null,    "provider": "string"  },  "agents": [    {      "addr": "string",      "name": "string",      "runtime": "docker",      "supports_tcp_stream": true,      "supports_udp_stream": true,      "version": "string"    }  ],  "message": "string"}